aboutsummaryrefslogtreecommitdiffstats
path: root/testing/calibre/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'testing/calibre/APKBUILD')
-rw-r--r--testing/calibre/APKBUILD27
1 files changed, 22 insertions, 5 deletions
diff --git a/testing/calibre/APKBUILD b/testing/calibre/APKBUILD
index 2282ad64d5..fcf833b2ec 100644
--- a/testing/calibre/APKBUILD
+++ b/testing/calibre/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer:
pkgname=calibre
pkgver=0.8.7
-pkgrel=1
+pkgrel=3
pkgdesc="Ebook management application"
url="http://calibre-ebook.com/"
arch="all"
@@ -11,11 +11,14 @@ depends=
depends_dev="python-dev imagemagick-dev py-qt py-sip py-imaging libusb-dev
poppler-dev poppler-qt4-dev py-dbus py-pycountry py-lxml icu-dev
desktop-file-utils py-sqlite sqlite-dev chmlib-dev podofo-dev
- py-sip-dev py-dateutil py-cherrypy py-beautifulsoup py-mechanize"
+ py-sip-dev py-dateutil py-cherrypy py-beautifulsoup py-mechanize
+ py-dnspython shared-mime-info unrar xdg-utils"
makedepends="$depends_dev"
install=""
subpackages=""
-source="http://downloads.sourceforge.net/${pkgname}/${pkgname}-${pkgver}.tar.gz"
+source="http://downloads.sourceforge.net/${pkgname}/${pkgname}-${pkgver}.tar.gz
+ calibre.confd
+ calibre.initd"
_builddir="$srcdir"/$pkgname
build() {
cd "$_builddir"
@@ -27,15 +30,29 @@ build() {
python setup.py resources
python setup.py translations
}
-
package() {
cd "$_builddir"
+ # More on desktop integration (e.g. enforce arch defaults)
+ sed -i -e "/self.create_uninstaller()/,/os.rmdir(config_dir)/d" \
+ -e "s|self.opts.staging_sharedir, 'man/man1'|self.opts.staging_root, 'usr/share/man/man1'|" \
+ -e "s|manpath, prog+'.1'+__appname__+'.bz2'|manpath, prog+'.1'+'.bz2'|" \
+ -e "s|old_udev = '/etc|old_udev = '${pkgdir}/etc|" \
+ -e "s/^Name=calibre/Name=Calibre/g" src/calibre/linux.py
+ # Create a dir for ebook repository
+ mkdir -p "${pkgdir}/var/lib/calibre"
# Fix the environment module location
sed -i -e "s|(prefix=.*)|(prefix='$pkgdir/usr')|g" setup/install.py
install -d "${pkgdir}/usr/lib/python2.7/site-packages"
python setup.py install --root="${pkgdir}" --prefix=/usr \
+ --no-postinstall \
--staging-bindir="${pkgdir}/usr/bin" \
--staging-libdir="${pkgdir}/usr/lib" \
--staging-sharedir="${pkgdir}/usr/share"
+ install -m755 -D ../$pkgname.initd \
+ "$pkgdir"/etc/init.d/$pkgname || return 1
+ install -m644 -D ../$pkgname.confd \
+ "$pkgdir"/etc/conf.d/$pkgname || return 1
}
-md5sums="d7132ec75f5e742e04e196fc8e2c0884 calibre-0.8.7.tar.gz"
+md5sums="d7132ec75f5e742e04e196fc8e2c0884 calibre-0.8.7.tar.gz
+a53086675b33859da1d18cc21daa090b calibre.confd
+d245fe44b51b48de128290de8485c92e calibre.initd"